# SH21 - List all carriers

DescriptionResults are sorted alphabetically by carrier label
Call FrequencyRecommended usage: Once per dayMaximum usage: Once per dayRead MoreMore context

Endpoint: GET /api/shipping/carriers
Security: Shop-API-Key

## Security:

  - `Shop-API-Key` (unknown)
    apiKey in header Authorization scopes: ROLE_SHOP_ADMIN, ROLE_PARTNER_SHIPPING_SETTINGS_READ

## Query parameters:

  - `shop_id` (integer)
    Use this parameter when your user has access to several shops. If not specified, the shop_id from your default shop will be used.

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `carriers` (array, required)
    List of carriers

  - `carriers.code` (string, required)
    Carrier code

  - `carriers.label` (string, required)
    Carrier label

  - `carriers.standard_code` (string)
    Carrier standard code

  - `carriers.tracking_url` (string)
    Carrier tracking URL

## Response 200 examples:

  - `Example with business values (application/json)` (unknown)

  - `Complete example with value types (application/json)` (unknown)

